Add full project path to email subject

2009-04-15 09:32 - Maxim Krušina

Status: Needs feedback Start date: 2009-04-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It's a request from our managergs. Now, there is full path to project (from root project to most nested one) in project's header, which

is great. It would be great to have a such functionality in email subject.

It's becase we'are using projects structure like:

CocaCola

Winter Promo

PEPSI

Winter promo

So now when email arrives, we see only "Winter promo" in subject and we don't see the client, which is very iportant to us.

Maybe someone can be disappointed by this, because subjects will became much longer in some case, do this behaviour can be

optinally configurable per user. On My account page, there can be in section "Email notifications" new radio button (or select box):

Send in subject:

(o) Project / Ticket

( ) Project path / Project / Ticket

This functionality can be expanded in the future to satisfy all users.

Other method can be configuration via special strings, like in printf:

MyCompany: [path] / [project] / [ticket]

History

#1 - 2013-04-10 18:26 - Dipan Mehta

I think if we have two or three level of hierarchy - the subject line will go extremely big. However, I think the email body can provide the Project Name -

with full hierarchy.

Note that many fields are already visible.

#2 - 2013-04-11 13:20 - Toshi MARUYAMA

- Status changed from New to Needs feedback
